Bug 988974 - Current configuration causes serious APRS-IS problems
Current configuration causes serious APRS-IS problems
Product: Fedora
Classification: Fedora
Component: aprsd (Show other bugs)
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Lucian Langa
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-07-26 16:08 EDT by Gerry Creager
Modified: 2015-06-29 20:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-06-29 20:40:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gerry Creager 2013-07-26 16:08:39 EDT
Description of problem:
The current version has a callsign (KG4IJB-3) with a valid passcode configured in the default setup. This causes everyone who downloads and tries to use it, to connect to the servers with the same callsign but different IP addresses. The author of the server code, as well as the various server operators, have been attempting to counteract this but it's approaching the level of a DDoS attack on the network.

Version-Release number of selected component (if applicable):

How reproducible:
Approximately 100%. 

Steps to Reproduce:
1. Download and install RPM
2. Fire off APRSD

Actual results:
The RPM loads a default config. That config has the callsign (and -3 SSID) as well as a passcode. 

Expected results:
The default configuration should not have a valid callsign, nor anything resembling a valid passcode (should default to -1).

Additional info:
Comment 1 Fedora End Of Life 2013-09-16 12:48:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
Comment 2 Fedora End Of Life 2015-05-29 05:13:26 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-06-29 20:40:36 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.